#!/bin/sh
# etc-tc.sh : test case for /bin directory

tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1 ic2 ic3 ic4 ic5 ic6 ic7 ic8 ic9 ic10 ic11 ic12 ic13 ic14 ic15 ic16 ic17 ic18 ic19 ic20 ic21 ic22 ic23 ic24 ic25 ic26 ic27 ic28 ic29 ic30 ic31 ic32 ic33 ic34 ic35 ic36 ic37"
ic1="tp1"
ic2="tp2"
ic3="tp3"
ic4="tp4"
ic5="tp5"
ic6="tp6"
ic7="tp7"
ic8="tp8"
ic9="tp9"
ic10="tp10"
ic11="tp11"
ic12="tp12"
ic13="tp13"
ic14="tp14"
ic15="tp15"
ic16="tp16"
ic17="tp17"
ic18="tp18"
ic19="tp19"
ic20="tp20"
ic21="tp21"
ic22="tp22"
ic23="tp23"
ic24="tp24"
ic25="tp25"
ic26="tp26"
ic27="tp27"
ic28="tp28"
ic29="tp29"
ic30="tp30"
ic31="tp31"
ic32="tp32"
ic33="tp33"
ic34="tp34"
ic35="tp35"
ic36="tp36"
ic37="tp37"


tp1()
{
	tpstart "Reference 3.4-1(A)" 
	tet_infoline "The /etc directory exists and is searchable"

	lsb_test_dir_searchable /etc >out.stdout  2>out.stderr
	check_exit_value $? 0		# should be zero
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult				# set result code
}

tp2() 
{
	tpstart "Reference 3.4-2(A)"
	tet_infoline "The implementation provides the file /etc/adjtime"
	lsb_test_file /etc/adjtime >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}
tp3() 
{
	tpstart "Reference 3.4-3(A)"
	tet_infoline "If the implementation provides a C-shell"
	tet_infoline "	The implementation provides the file /etc/csh.login"

	if test -z $LSB_C_SHELL_SUPP
	then
		tpresult UNSUPPORTED
		return
	fi
	lsb_test_file /etc/csh.login >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}
tp4() 
{
	tpstart "Reference 3.4-4(A)"
	tet_infoline "The implementation provides the file /etc/disktab"
	lsb_test_file /etc/disktab >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	if [ $FAIL = Y ]
	then
		tet_infoline "/etc/disktab not found"
		tet_infoline "This appears to be an issue with the FHS2.0 specification"
		FAIL=N
		tpresult WARNING
	else
		tpresult		# set result code
	fi
}

tp5() 
{
	tpstart "Reference 3.4-5(A)"
	tet_infoline "The implementation provides the file /etc/fdprm"
	lsb_test_file /etc/fdprm >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp6() 
{
	tpstart "Reference 3.4-6(A)"
	tet_infoline "The implementation provides the file /etc/fstab"
	lsb_test_file /etc/fstab >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp7() 
{
	tpstart "Reference 3.4-7(A)"
	tet_infoline "The implementation provides the file /etc/gettydefs"
	lsb_test_file /etc/gettydefs >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp8() 
{
	tpstart "Reference 3.4-8(A)"
	tet_infoline "The implementation provides the file /etc/group"
	lsb_test_file /etc/group >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp9() 
{
	tpstart "Reference 3.4-9(A)"
	tet_infoline "The implementation provides the file /etc/inittab"
	lsb_test_file /etc/inittab >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp10() 
{
	tpstart "Reference 3.4-10(A)"
	tet_infoline "The implementation provides the file /etc/issue"
	lsb_test_file /etc/issue >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp11() 
{
	tpstart "Reference 3.4-11(A)"
	tet_infoline "The implementation provides the file /etc/ld.so.conf"
	lsb_test_file /etc/ld.so.conf >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp12() 
{
	tpstart "Reference 3.4-12(A)"
	tet_infoline "The implementation provides the file /etc/lilo.conf"
	lsb_test_file /etc/lilo.conf >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	if [ $FAIL = Y ]
	then
		tet_infoline "/etc/lilo.conf not found"
		tet_infoline "This appears to be an issue with the FHS2.0 specification"
		tet_infoline "since on sparc the file is called silo.conf, and on alpha milo.conf"
		tet_infoline "This test will probably be updated to test conditionally since "
		tet_infoline "lilo.conf may also not exist on x86"
		FAIL=N
		tpresult WARNING
	else
		tpresult		# set result code
	fi
}

tp13() 
{
	tpstart "Reference 3.4-13(A)"
	tet_infoline "The implementation provides the file /etc/motd"
	lsb_test_file /etc/motd >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp14() 
{
	tpstart "Reference 3.4-14(A)"
	tet_infoline "The implementation provides the file /etc/mtab"
	lsb_test_file /etc/mtab >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp15() 
{
	tpstart "Reference 3.4-15(A)"
	tet_infoline "The implementation provides the file /etc/mtools"
	lsb_test_file /etc/mtools >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	if [ $FAIL = Y ]
	then
		tet_infoline "/etc/mtools not found"
		tet_infoline "This appears to be an issue with the FHS2.0 specification"
		tet_infoline "this should probably be /etc/mtools.conf"
		FAIL=N
		tpresult WARNING
	else
		tpresult		# set result code
	fi
}

tp16() 
{
	tpstart "Reference 3.4-16(A)"
	tet_infoline "The implementation provides the file /etc/passwd"
	lsb_test_file /etc/passwd >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp17() 
{
	tpstart "Reference 3.4-17(A)"
	tet_infoline "The implementation provides the file /etc/profile"
	lsb_test_file /etc/profile >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp18() 
{
	tpstart "Reference 3.4-18(A)"
	tet_infoline "The implementation provides the file /etc/securetty"
	lsb_test_file /etc/securetty >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp19() 
{
	tpstart "Reference 3.4-19(A)"
	tet_infoline "The implementation provides the file /etc/shells"
	lsb_test_file /etc/shells >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp20() 
{
	tpstart "Reference 3.4-20(A)"
	tet_infoline "The implementation provides the file /etc/syslog.conf"
	lsb_test_file /etc/syslog.conf >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp21() 
{
	tpstart "Reference 3.4-21(A)"
	tet_infoline "The implementation provides the file /etc/ttytype"
	lsb_test_file /etc/ttytype >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp22() 
{
	tpstart "Reference 3.4-22(A)"
	tet_infoline "The implementation provides the file /etc/exports"
	lsb_test_file /etc/exports >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	if [ $FAIL = Y ]
	then
		tet_infoline "/etc/exports not found"
		tet_infoline "This appears to be an issue with the FHS2.0 specification"
		FAIL=N
		tpresult WARNING
	else
		tpresult		# set result code
	fi
}

tp23() 
{
	tpstart "Reference 3.4-23(A)"
	tet_infoline "The implementation provides the file /etc/ftpusers"
	lsb_test_file /etc/ftpusers >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	if [ $FAIL = Y ]
	then
		tet_infoline "/etc/ftpusers not found"
		tet_infoline "This appears to be an issue with the FHS2.0 specification"
		FAIL=N
		tpresult WARNING
	else
		tpresult		# set result code
	fi
}

tp24() 
{
	tpstart "Reference 3.4-24(A)"
	tet_infoline "The implementation provides the file /etc/gateways"
	lsb_test_file /etc/gateways >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp25() 
{
	tpstart "Reference 3.4-25(A)"
	tet_infoline "The implementation provides the file /etc/host.conf"
	lsb_test_file /etc/host.conf >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp26() 
{
	tpstart "Reference 3.4-26(A)"
	tet_infoline "The implementation provides the file /etc/hosts"
	lsb_test_file /etc/hosts >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp27() 
{
	tpstart "Reference 3.4-27(A)"
	tet_infoline "The implementation provides the file /etc/hosts.allow"
	lsb_test_file /etc/hosts.allow >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	if [ $FAIL = Y ]
	then
		tet_infoline "/etc/hosts.allow not found"
		tet_infoline "This appears to be an issue with the FHS2.0 specification"
		FAIL=N
		tpresult WARNING
	else
		tpresult		# set result code
	fi
}

tp28() 
{
	tpstart "Reference 3.4-28(A)"
	tet_infoline "The implementation provides the file /etc/hosts.deny"
	lsb_test_file /etc/hosts.deny >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	if [ $FAIL = Y ]
	then
		tet_infoline "/etc/hosts.deny not found"
		tet_infoline "This appears to be an issue with the FHS2.0 specification"
		FAIL=N
		tpresult WARNING
	else
		tpresult		# set result code
	fi
}
tp29() 
{
	tpstart "Reference 3.4-29(A)"
	tet_infoline "The implementation provides the file /etc/hosts.equiv"
	lsb_test_file /etc/hosts.equiv >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	if [ $FAIL = Y ]
	then
		tet_infoline "/etc/hosts.equiv not found"
		tet_infoline "This appears to be an issue with the FHS2.0 specification"
		FAIL=N
		tpresult WARNING
	else
		tpresult		# set result code
	fi
}

tp30() 
{
	tpstart "Reference 3.4-30(A)"
	tet_infoline "The implementation provides the file /etc/hosts.lpd"
	lsb_test_file /etc/hosts.lpd >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	if [ $FAIL = Y ]
	then
		tet_infoline "/etc/hosts.lpd not found"
		tet_infoline "This appears to be an issue with the FHS2.0 specification"
		FAIL=N
		tpresult WARNING
	else
		tpresult		# set result code
	fi
}

tp31() 
{
	tpstart "Reference 3.4-31(A)"
	tet_infoline "The implementation provides the file /etc/inetd.conf"
	lsb_test_file /etc/inetd.conf >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp32() 
{
	tpstart "Reference 3.4-32(A)"
	tet_infoline "The implementation provides the file /etc/networks"
	lsb_test_file /etc/networks >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp33() 
{
	tpstart "Reference 3.4-33(A)"
	tet_infoline "The implementation provides the file /etc/printcap"
	lsb_test_file /etc/printcap >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	if [ $FAIL = Y ]
	then
		tet_infoline "/etc/printcap not found"
		tet_infoline "This appears to be an issue with the FHS2.0 specification"
		FAIL=N
		tpresult WARNING
	else
		tpresult		# set result code
	fi
}

tp34() 
{
	tpstart "Reference 3.4-34(A)"
	tet_infoline "The implementation provides the file /etc/protocols"
	lsb_test_file /etc/protocols >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp35() 
{
	tpstart "Reference 3.4-35(A)"
	tet_infoline "The implementation provides the file /etc/resolv.conf"
	lsb_test_file /etc/resolv.conf >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp36() 
{
	tpstart "Reference 3.4-36(A)"
	tet_infoline "The implementation provides the file /etc/rpc"
	lsb_test_file /etc/rpc >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp37() 
{
	tpstart "Reference 3.4-37(A)"
	tet_infoline "The implementation provides the file /etc/services"
	lsb_test_file /etc/services >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}


startup() # startup function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}


cleanup() # clean-up function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}

# source common shell functions

. $TET_EXECUTE/LIB/shfuncs.sh
. $TET_EXECUTE/LIB/lsbfuncs.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
