#!/bin/sh
# etc-tc.sh : test case for /bin directory

tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1 ic2 ic3 ic4 ic5 ic6"
ic1="tp1"
ic2="tp2"
ic3="tp3"
ic4="tp4"
ic5="tp5"
ic6="tp6"


tp1()
{
	tpstart "Reference 3.6-1(A)" 
	tet_infoline "The /lib directory exists and is searchable"
	lsb_test_dir_searchable /lib >out.stdout  2>out.stderr
	check_exit_value $? 0		# should be zero
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp2()
{
	tpstart "Reference 3.6-2(A)"
	tet_infoline "The /lib/modules directory exists and is searchable"
	lsb_test_dir_searchable /lib/modules >out.stdout  2>out.stderr
	check_exit_value $? 0		# should be zero
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}


tp3() 
{
	tpstart "Reference 3.6-3(A)"
	tet_infoline "The /lib directory contains the shared dynamic linker /lib/ld.so"
	lsb_test_file /lib/ld.so >out.stdout 2>out.stderr 
	check_exit_value $? 0
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult			# set result code
}

tp4() 
{
	tpstart "Reference 3.6-4(A)"
	tet_infoline "The /lib directory contains the shared dynamic linker /lib/libc.so.*"
	if ! test -e /lib/libc.so.*
	then
		FAIL=Y
	fi
	tpresult			# set result code
}

tp5() 
{
	tpstart "Reference 3.6-5(A)"
	tet_infoline "The /lib directory contains the shared dynamic linker /lib/libm.so.*"
	if ! test -e /lib/libm.so.*
	then
		FAIL=Y
	fi
	tpresult			# set result code
}

tp6() 
{
	tpstart "Reference 3.6-6(A)"
	tet_infoline "The implementation provides /lib/cpp, a reference to the C Preprocessor "
	if ! test -e /lib/cpp
	then
		FAIL=Y
	fi
	tpresult			# set result code
}

startup() # startup function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}


cleanup() # clean-up function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}

# source common shell functions

. $TET_EXECUTE/LIB/shfuncs.sh
. $TET_EXECUTE/LIB/lsbfuncs.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
