#!/bin/sh
# x11r6-tc.sh : test case for /usr/X11R6 directory

tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1"
ic1="tp1"


tp1()
{
	tpstart "Reference 4.2-1(A)"
	tet_infoline "The /usr/X386 directory exists and is searchable"
	lsb_test_dir_searchable /usr/X386 >out.stdout  2>out.stderr
	check_exit_value $? 0		# should be zero
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	if [ $FAIL = Y ]
	then
		tet_infoline "/usr/X386 not found"
		tet_infoline "This appears to be an issue with the FHS2.0 specification"
		tet_infoline "This only appears on the x86 architecture and is X11r5. "
		FAIL=N
		tpresult WARNING
	else
		tpresult		# set result code
	fi
}


startup() # startup function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}


cleanup() # clean-up function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}

# source common shell functions

. $TET_EXECUTE/LIB/shfuncs.sh
. $TET_EXECUTE/LIB/lsbfuncs.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
